#pragma once
using namespace System;
using namespace System::Runtime::InteropServices;

#include "LKFAufenthaltChild.h"

namespace lkfxdok {
	namespace c {

		ref class LKFAufenthalt;
		
		public ref class LKFAufenthaltError
		{
		protected:
			LKFAufenthalt ^_aufenthalt;
			const void *_errorPointer;
		internal:
			LKFAufenthaltError(LKFAufenthalt ^aufenthalt, const void *errorPointer);
		public:
			property LKFAufenthaltError ^NextError {
				LKFAufenthaltError ^get(void);
			}

			property String ^Code {
				String ^get(void);
			}

			property String ^Text {
				String ^get(void);
			}

			property String ^Value {
				String ^get(void);
			}

			property String ^Massnahme {
				String ^get(void);
			}

			property String ^Acceptable {
				String ^get(void);
			}


			property String ^SATZART {
				String ^get(void);
			}

			property String ^FieldId {
				String ^get(void);
			}

			property String ^FieldName {
				String ^get(void);
			}

			property String ^FeldLang {
				String ^get(void);
			}

			property String ^FucoAufNr {
				String ^get(void);
			}

			property String ^ABTFC {
				String ^get(void);
			}

			property String ^ABTFCIndex {
				String ^get(void);
			}

			property String ^CHILDIdent {
				String ^get(void);
			}

			String ^GetField(int fieldNumber);
		};

	}
}

